#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: crypto-pubkey
version: 0.2.8
id: crypto-pubkey-0.2.8-CJVjdiB88tLDpLShUWlXL3
key: crypto-pubkey-0.2.8-CJVjdiB88tLDpLShUWlXL3
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-crypto-pubkey
synopsis: Public Key cryptography
description:
    Public Key cryptography
    .
    Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
    .
    Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
indefinite: False
exposed-modules:
    Crypto.PubKey.DH Crypto.PubKey.DSA Crypto.PubKey.ECC.DH
    Crypto.PubKey.ECC.ECDSA Crypto.PubKey.ECC.Generate
    Crypto.PubKey.ECC.Prim Crypto.PubKey.HashDescr
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.RSA
    Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PKCS15
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
abi: 228f29e2a8ab6460a4889fc9f77b5e4b
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/crypto-pubkey-0.2.8
library-dirs: /usr/lib/ghc-8.2.1/site-local/crypto-pubkey-0.2.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/crypto-pubkey-0.2.8
hs-libraries: HScrypto-pubkey-0.2.8-CJVjdiB88tLDpLShUWlXL3
depends:
    base-4.10.0.0 bytestring-0.10.8.2
    byteable-0.1.1-3VfNJqauCum9lD10cS8nmH
    crypto-random-0.0.9-B75YygnKCDoK2KXR01Og31
    crypto-pubkey-types-0.4.3-53UH0WnXQO7KKGQDqws1Dp
    cryptohash-0.11.9-5gOEziCe3Ca4qz0qe7DizB
    crypto-numbers-0.2.7-7U2LgT1hSIu9S3sbzcOTN2
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             bytestring-0.10.8.2=590a7a3c0bdcf7a6a59d8c8ef548a44a
             byteable-0.1.1-3VfNJqauCum9lD10cS8nmH=ecad75526b40e3669fcd751d69f205cf
             crypto-random-0.0.9-B75YygnKCDoK2KXR01Og31=4943ba6246f1a652fc55e58c12db691b
             crypto-pubkey-types-0.4.3-53UH0WnXQO7KKGQDqws1Dp=92156c88f9ed093d165435ccaabd3561
             cryptohash-0.11.9-5gOEziCe3Ca4qz0qe7DizB=f832a17d441f0795e9ccb75851f915dd
             crypto-numbers-0.2.7-7U2LgT1hSIu9S3sbzcOTN2=f513d4dc28b8ea2c0ac2de76cc57d513
haddock-interfaces: /usr/share/doc/haskell-crypto-pubkey/html/crypto-pubkey.haddock
haddock-html: /usr/share/doc/haskell-crypto-pubkey/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

